Summary:        Perl extension for SHA-1/224/256/384/512
Name:           perl-Digest-SHA
Version:        6.03
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Digest-SHA
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSHELOR/Digest-SHA-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(Getopt::Std) perl(strict) perl(vars) perl(Carp) perl(Exporter)
BuildRequires:  perl(Fcntl) perl(integer) perl(warnings) perl(XSLoader) perl(Digest::base) perl(FileHandle)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
Requires:       perl(:MODULE_COMPAT_%perl_version)
Requires:       perl(Carp) perl(Digest::base) perl(XSLoader)

%description
The Digest::SHA module is a complete implementation of the NIST Secure Hash
Standard, which can handle all types of input, including partial-byte data.

%prep
%autosetup -n Digest-SHA-%{version}
chmod -x examples/*
perl -MExtUtils::MakeMaker -e 'ExtUtils::MM_Unix->fixin(q{examples/dups})'

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE='%{optflags}'
%make_build

%install
%make_install
find '%{buildroot}' -type f -name '*.bs' -empty -delete
%{_fixperms} -c '%{buildroot}'

%check
make test

%files
%doc Changes examples/ README
%{_bindir}/shasum
%{perl_vendorarch}/auto/Digest/
%{perl_vendorarch}/Digest/
%{_mandir}/man1/shasum.1*
%{_mandir}/man3/Digest::SHA.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.03-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.03-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 ZoeDong <zoedong@tencent.com> - 6.03-1
- Initial build

